{%- style -%}
  #{{ section.id }}_section {
     background-color: {{ section.settings.bg_color }};
      padding-top: {{ section.settings.padding_top}}px;
      padding-bottom: {{ section.settings.padding_bottom}}px;
      margin-top: {{ section.settings.margin_top}}px;
      margin-bottom: {{ section.settings.margin_bottom}}px;
  }
  #{{ section.id }}_section .gird-item{
    padding:0px 10px;
    max-width: 32%;
    margin-top: 20px
  }
  #{{ section.id }}_section svg{
    max-height: 170px;
    min-height: 170px;
  }
  #{{ section.id }}_section .title{
    margin: 10px 0;
    font-family:'FinancierDisplay';
    font-size:34px;
    color: #014550;
    font-weight: 300;
  }
  #{{ section.id }}_section .button-wrap{
    margin-top: 10px;
    text-align: center;
  }
  #{{ section.id }}_section .desc{
    font-size:16px;
    color: #014550;
  }
  #{{ section.id }}_section .desc a{
    text-decoration: underline;
    font-weight: 700;
    color: #02825c;
  }
  #{{ section.id }}_section .link-btn{
    font-size: 20px;
    color: #3cf084;
    background:  #014550;
    padding:10px 20px;
    border-radius: 44px;
    border: 1px solid #014550;
    transition: all .2s ease;
  }
  #{{ section.id }}_section .content-wrap{
    flex-grow: 1;
    border-radius: 20px;
    background-color: white;
    max-width: 400px;
    padding: 24px 18px;
    flex-grow: 1;
  }
  #{{ section.id }}_section .btn-link{
    font-size: 17px;
    color: #00ab59;
    text-decoration: underline;
    padding-top: 20px;
    display: block;
  }
  #{{ section.id }}_section  .section-title{
    color: #014550;
    font-size: 60px;
    font-weight: 300;
    line-height: 1;
    margin-bottom: 40px;
    text-align: center;
    font-family: 'FinancierDisplay';
  }
  @media only screen and (max-width : 999px){
    #{{ section.id }}_section  .section-title{
      font-size:44px;
    }
    #{{ section.id }}_section .title{
      font-size:28px;
    }
    #{{ section.id }}_section .grids-wrap{
    }
    #{{ section.id }}_section .desc{
      font-size:14px;
    }
    #{{ section.id }}_section .gird-item {
      max-width: 400px;
    }
  }
  @media only screen and (max-width : 575){
    #{{ section.id }}_section  .section-title{
      font-size:35px;
    }
    #{{ section.id }}_section .title{
      font-size:25px;
    }
    #{{ section.id }}_section .grids-wrap{
      gap: 40px;
    }
    #{{ section.id }}_section .desc{
      font-size:12px;
    }
    #{{ section.id }}_section .grids-wrap{
      flex-direction: column;
      align-items: center;
      gap: 40px;
    }
    #{{ section.id }}_section .gird-item {
      max-width: 400px;
    }
  }
{%- endstyle -%}

<section id="{{ section.id}}_section" style="background-color: {{ section.settings.ba_color }};">
  <div class="container">
    <h1 class="section-title">
      {{ section.settings.title }}
    </h1>
    <div class="grids-wrap d-flex  justify-content-arround flex-wrap">
      {% for block in section.blocks %}
        <div class="gird-item d-flex flex-column width-mobile-50">
          {% if block.settings.image != blank %}
            <div class="icon-wrap d-flex justify-content-center">
              <img src="{{ block.settings.image | img_url: '1000x'}}" alt="">
            </div>
          {% endif %}
          <div class="content-wrap flex-one">
            <h2 class="title center">{{ block.settings.title }}</h2>
            <p class="desc center">{{ block.settings.description }}</p>
          </div>
        </div>
      {% endfor %}
    </div>
    <div class="link-wrapper center">
      <a class="btn-link" href="'{{ section.settings.link_url }}'">{{ section.settings.link_text }}</a>
    </div>
  </div>
</section>

{% schema %}
{
  "name": "Featured columns",
  "class": "section",
  "settings": [
    {
      "type": "color",
      "id": "bg_color",
      "label": "Background Color"
    },
    {
      "type": "text",
      "id": "title",
      "label": "Title text"
    },
    {
      "type": "header",
      "content": "Link Setting"
    },
    {
      "type": "text",
      "id": "link_text",
      "label": "link_text"
    },
    {
      "type": "url",
      "id": "link_url",
      "label": "Link url"
    },
    {
      "type": "header",
      "content": "Margin Setting"
    },
    {
      "type": "range",
      "id": "margin_top",
      "min": 0,
      "max": 200,
      "step": 4,
      "unit": "px",
      "label": "Margin Top",
      "default": 36
    },
    {
      "type": "range",
      "id": "margin_bottom",
      "min": 0,
      "max": 200,
      "step": 4,
      "unit": "px",
      "label": "Margin Bottom",
      "default": 36
    },
    {
      "type": "header",
      "content": "Padding Setting"
    },
    {
      "type": "range",
      "id": "padding_top",
      "min": 0,
      "max": 200,
      "step": 4,
      "unit": "px",
      "label": "t:sections.all.padding.padding_top",
      "default": 36
    },
    {
      "type": "range",
      "id": "padding_bottom",
      "min": 0,
      "max": 200,
      "step": 4,
      "unit": "px",
      "label": "t:sections.all.padding.padding_bottom",
      "default": 36
    }
  ],
  "blocks": [
    {
      "type": "icon_and_text",
      "name": "Icon and content",
      "limit": 10,
      "settings": [
        {
          "type": "image_picker",
          "id": "image",
          "label": "Image"
        },
        {
          "type": "text",
          "id": "title",
          "label": "Title Text"
        },
        {
          "type": "textarea",
          "id": "description",
          "label": "Description Text"
        }
      ]
    }
  ]
}
{% endschema %}
